## XviewerTransform XviewerTransform |

## Functions

GdkPixbuf * | xviewer_transform_apply ()
XviewerTransform * | xviewer_transform_reverse ()
XviewerTransform * | xviewer_transform_compose ()
gboolean | xviewer_transform_get_affine ()
gboolean | xviewer_transform_is_identity ()
XviewerTransform * | xviewer_transform_identity_new ()
XviewerTransform * | xviewer_transform_rotate_new ()
XviewerTransform * | xviewer_transform_flip_new ()
XviewerTransform * | xviewer_transform_scale_new ()
XviewerTransform * | xviewer_transform_new ()
XviewerTransformType | xviewer_transform_get_transform_type ()

## Types and Values

enum | XviewerTransformType
struct | XviewerTransform

## Description

## Functions

### xviewer_transform_apply ()

    GdkPixbuf *
    xviewer_transform_apply (XviewerTransform *trans,
                             GdkPixbuf *pixbuf,
                             XviewerJob *job);

Applies the transformation in `trans` to `pixbuf` , setting its progress in `job` .

#### Parameters

trans | a XviewerTransform |
pixbuf | a GdkPixbuf |
job | a XviewerJob |

#### Returns

A new GdkPixbuf with the transformation applied.

[transfer full]

### xviewer_transform_reverse ()

    XviewerTransform *
    xviewer_transform_reverse (XviewerTransform *trans);

Creates the reverse transformation of `trans`

#### Parameters

trans | a XviewerTransform |

#### Returns

a new transformation.

[transfer full]

### xviewer_transform_compose ()

    XviewerTransform *
    xviewer_transform_compose (XviewerTransform *trans,
                               XviewerTransform *compose);

#### Parameters

trans | a XviewerTransform |
compose | another XviewerTransform |

#### Returns

a new transform.

[transfer full]

### xviewer_transform_get_affine ()

    gboolean
    xviewer_transform_get_affine (XviewerTransform *trans,
                                  cairo_matrix_t *affine);

### xviewer_transform_is_identity ()

    gboolean
    xviewer_transform_is_identity (XviewerTransform *trans);

### xviewer_transform_identity_new ()

    XviewerTransform *
    xviewer_transform_identity_new (void);

### xviewer_transform_rotate_new ()

    XviewerTransform *
    xviewer_transform_rotate_new (int degree);

### xviewer_transform_flip_new ()

    XviewerTransform *
    xviewer_transform_flip_new (XviewerTransformType type);

### xviewer_transform_scale_new ()

    XviewerTransform *
    xviewer_transform_scale_new (double sx,
                                 double sy);

### xviewer_transform_new ()

    XviewerTransform *
    xviewer_transform_new (XviewerTransformType trans);

### xviewer_transform_get_transform_type ()

    XviewerTransformType
    xviewer_transform_get_transform_type (XviewerTransform *trans);

## Types and Values

### enum XviewerTransformType

#### Members

XVIEWER_TRANSFORM_NONE |  |
XVIEWER_TRANSFORM_ROT_90 |  |
XVIEWER_TRANSFORM_ROT_180 |  |
XVIEWER_TRANSFORM_ROT_270 |  |
XVIEWER_TRANSFORM_FLIP_HORIZONTAL |  |
XVIEWER_TRANSFORM_FLIP_VERTICAL |  |
XVIEWER_TRANSFORM_TRANSPOSE |  |
XVIEWER_TRANSFORM_TRANSVERSE |  |

### struct XviewerTransform

    struct XviewerTransform {
    	GObject parent;

    	XviewerTransformPrivate *priv;
    };